#!/bin/bash
if [ "$1" = "" -o "$2" = "" ]; then
	echo "Please specify Tier site and URL to XML"
	echo "e.g. ./${0} t1_de_kit http://www.myserver.com/joboutput.xml"
	exit 1
fi

MODULES=""
for i in `ls templates/template_* | sort`; do
	newname=`echo $i | cut -d "/" -f 2 | sed 's|template_.._|'${1}'_|'`
	cp ${i} ${newname}

	if [[ ${newname} == *cfg* ]]; then
		modname=`echo ${newname} | sed 's|.cfg||'`
		if [ "${MODULES}" = "" ]; then
			MODULES=${modname}
		else
			MODULES=${MODULES},${modname}	
		fi
	fi
done

sed -i 's|template|'${1}'|' ${1}*.py
sed -i 's|MYURL|'${2}'|' ${1}*.cfg

# make tier name uppercase
TIER=`echo ${1} | tr "[:lower:]" "[:upper:]"`
sed -i 's|TEMPLATE|'${TIER}'|g' ${1}*.cfg

echo ""
echo "Output for the configuration file: run.local:"
echo ""
echo "[${1}]"
echo "cat_type        =       rated"
echo "cat_title       =       ${TIER}"
echo "cat_algo        =       worst"
echo "modules         =       $MODULES"
echo ""
echo "And don't forget to add ${1} as well to the categories variable to enable the new modules!"
